# nondescript

Nondescript is a toy programming language. Some of its features are:

- Dynamic typing, bytecode interpreter
- Almost everything is an expression
- New, rewritten 2 pass compiler (parsing, emitting)
- Syntax tries to balance sugar with consistency

See [docs/reference.md](docs/reference.md) to learn more about the language.

If that document is not enough, the following folders in the source tree, will have more examples:

- benchmarks/
- examples/
- tests/

## Building

Requirements:
- nim (1.6.10 tested) and nimble (recommended way to install is choosenim)
- c compiler (gcc tested)

The 4 steps to a REPL:
```
git clone https://github.com/prod2/nondescript
cd nondescript
nimble build
bin/nds
```